Skip to content
GET /unified/ci-cd/jobs/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

workspace_id
1 supported1 required
Bitbucket
required
repo
1 supported1 required
Bitbucket
required
buildstring

The build of the job

1 supported1 required
Bitbucket
required
workspace
1 supported1 required
Buddy
required
project
1 supported1 required
Buddy
required
workflow
1 supported1 required
Buddy
required
project_slug

The project slug of the project on CircleCI. Its in the format vcs_provider/org_name/repo_name.

1 supported1 required
CircleCI
required
owner

The slug of the owner on Github.

1 supported1 required
GitHub
required
repo_id

The slug of the repository on Github.

1 supported1 required
GitHub
required
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
  • debug returns the final unified result alongside raw remote fetch information. The response is an envelope containing result (identical to unified mode output) and debug (with requestUrl, requestOptions, data, responseHeaders, and for list operations: nextCursor, isLooping, isEmptyResult, resultCount). debug is null for static responses or when truto_skip_api_call=true.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstreamdebug
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The unique identifier for the job

5 supported
Bitbucket
supported
Buddy
supported
CircleCI
supported
GitHub
supported
Travis CI
supported
attemptsinteger

The number of attempts for the job

1 supported
GitHub
supported
branchstring

The head branch of the job

1 supported
GitHub
supported
buildstring

The build of the job

3 supported
Bitbucket
supported
GitHub
supported
Travis CI
supported
commitstring

The commit of the job

2 supported
GitHub
supported
Travis CI
supported
completed_atstring · date-time

The date and time when the job completed

4 supported
Bitbucket
supported
CircleCI
supported
GitHub
supported
Travis CI
supported
conclusionstring

The conclusion of the job - passed, failed, cancelled, timeout, skipped, retried, partial or the raw response from the API

3 supported
Bitbucket
supported
CircleCI
supported
GitHub
supported
created_atstring · date-time

The date and time when the job was created

4 supported
Bitbucket
supported
CircleCI
supported
GitHub
supported
Travis CI
supported
namestring

The name of the job

5 supported
Bitbucket
supported
Buddy
supported
CircleCI
supported
GitHub
supported
Travis CI
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

started_atstring · date-time

The date and time when the job started

5 supported
Bitbucket
supported
Buddy
supported
CircleCI
supported
GitHub
supported
Travis CI
supported
statusstring

The status of the job - queued, in_progress, completed or the raw response from the API

5 supported
Bitbucket
supported
Buddy
supported
CircleCI
supported
GitHub
supported
Travis CI
supported
updated_atstring · date-time

The date and time when the job was last updated

2 supported
GitHub
supported
Travis CI
supported
curl -X GET 'https://api.truto.one/unified/ci-cd/jobs/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ci-cd/jobs/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ci-cd/jobs/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'ci-cd',
  'jobs',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "ci-cd",
        "jobs",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())